import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconFlag as IconFlagClass } from "../../../../components/icon/icons/flag.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconFlag = (props) => {
  IconFlagClass.define();
  const JSXElement = getReactComponent("gds-icon-flag");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconFlag.displayName = "IconFlag";
export {
  IconFlag
};
